Bug 450107 - memberOf: Add config entry to dse.ldif template
Summary: memberOf: Add config entry to dse.ldif template
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: 389
Classification: Retired
Component: Server - Plugins
Version: 1.1.1
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Nathan Kinder
QA Contact: Chandrasekar Kannan
URL:
Whiteboard:
Depends On:
Blocks: 249650 FDS112
TreeView+ depends on / blocked
 
Reported: 2008-06-05 13:04 UTC by Nathan Kinder
Modified: 2015-01-04 23:32 UTC (History)
2 users (show)

Fixed In Version: 8.1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-04-29 23:04:20 UTC


Attachments (Terms of Use)
Diffs (1.06 KB, patch)
2008-06-05 13:04 UTC, Nathan Kinder
no flags Details | Diff

Description Nathan Kinder 2008-06-05 13:04:52 UTC
We should put a config entry for the memberOf plug-in in the default dse.ldif. 
This plug-in should be off by default.

Comment 1 Nathan Kinder 2008-06-05 13:04:52 UTC
Created attachment 308434 [details]
Diffs

Comment 2 Noriko Hosoi 2008-06-05 15:08:13 UTC
Your diffs look good.

Comment 3 Nathan Kinder 2008-06-05 19:12:28 UTC
Checked into ldapserver (HEAD).  Thanks to Noriko for hew review!

cvs commit: Examining .
Checking in template-dse.ldif.in;
/cvs/dirsec/ldapserver/ldap/ldif/template-dse.ldif.in,v  <--  template-dse.ldif.in
new revision: 1.7; previous revision: 1.6
done

Comment 4 Jenny Severance 2009-04-06 19:50:40 UTC
verified - DS 8.1 RHEL 4 

default dse.ldif configuration

dn: cn=MemberOf Plugin,cn=plugins,cn=config
objectClass: top
objectClass: nsSlapdPlugin
objectClass: extensibleObject
cn: MemberOf Plugin
nsslapd-pluginPath: libmemberof-plugin
nsslapd-pluginInitfunc: memberof_postop_init
nsslapd-pluginType: postoperation
nsslapd-pluginEnabled: off
nsslapd-plugin-depends-on-type: database
memberofgroupattr: member
memberofattr: memberOf
nsslapd-pluginId: memberof
nsslapd-pluginVersion: 8.1.0
nsslapd-pluginVendor: Red Hat, Inc.
nsslapd-pluginDescription: memberof plugin

Comment 5 Chandrasekar Kannan 2009-04-29 23:04:20 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-0455.html


Note You need to log in before you can comment on or make changes to this bug.